# childstate

###

### **getKeys(childKey: `PrefixedStorageKey`, prefix: `StorageKey`, at?: `Hash`): `Vec<StorageKey>`**

* **interface**: `api.rpc.childstate.getKeys`
* **jsonrpc**: `childstate_getKeys`
* **summary**: Returns the keys with prefix from a child storage, leave empty to get all the keys

### **getKeysPaged(childKey: `PrefixedStorageKey`, prefix: `StorageKey`, count: `u32`, startKey?: `StorageKey`, at?: `Hash`): `Vec<StorageKey>`**

* **interface**: `api.rpc.childstate.getKeysPaged`
* **jsonrpc**: `childstate_getKeysPaged`
* **summary**: Returns the keys with prefix from a child storage with pagination support

### **getStorage(childKey: `PrefixedStorageKey`, key: `StorageKey`, at?: `Hash`): `Option<StorageData>`**

* **interface**: `api.rpc.childstate.getStorage`
* **jsonrpc**: `childstate_getStorage`
* **summary**: Returns a child storage entry at a specific block state

### **getStorageEntries(childKey: `PrefixedStorageKey`, keys: `Vec<StorageKey>`, at?: `Hash`): `Vec<Option<StorageData>>`**

* **interface**: `api.rpc.childstate.getStorageEntries`
* **jsonrpc**: `childstate_getStorageEntries`
* **summary**: Returns child storage entries for multiple keys at a specific block state

### **getStorageHash(childKey: `PrefixedStorageKey`, key: `StorageKey`, at?: `Hash`): `Option<Hash>`**

* **interface**: `api.rpc.childstate.getStorageHash`
* **jsonrpc**: `childstate_getStorageHash`
* **summary**: Returns the hash of a child storage entry at a block state

### **getStorageSize(childKey: `PrefixedStorageKey`, key: `StorageKey`, at?: `Hash`): `Option<u64>`**

* **interface**: `api.rpc.childstate.getStorageSize`
* **jsonrpc**: `childstate_getStorageSize`
* **summary**: Returns the size of a child storage entry at a block state


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bifrostnetwork.com/bifrost-network/developer-documentations/client-api/json-rpc-api/childstate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
